#!/usr/bin/perl
use strict;
use warnings;
require 'persistence.pl';
use CGI::Simple;
my $cgi = new CGI::Simple();

print "Content-Type: text/html\n\n";
print qq |<html>
<head>
</head>
<body>
<h1>Check-out</h1>
|;

load_state();

for ($cgi->param ('reference'))
{
    $_ = uc ($_);
    $::P_STOCK->{$_} || do {
        print qq |<p style="color: red"><strong>$_</strong> does not exist.</p>|;
        next;
    };

    my $val = $::P_STOCK->{$_};
    $val->[1] && $val->[1]--;
    $::P_STOCK->{$_} = $val;
    print qq |<p><strong>$_</strong>: $::P_STOCK->{$_}->[1] in stock|;
}

save_state();

print qq |<form method="post">
Barcode:
<input type="text" name="reference" />
<script type="text/javascript">
document.forms[0].reference.focus();
</script>
</form>
</body></html>|;


1;
